git.lirion.de

Of git, get, and gud

aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.bash/vars.bash8
1 files changed, 5 insertions, 3 deletions
diff --git a/.bash/vars.bash b/.bash/vars.bash
index 773d75d..da222b1 100644
--- a/.bash/vars.bash
+++ b/.bash/vars.bash
@@ -18,9 +18,11 @@ SSHAGH+=( "woschd.example.com" )
export SSHAGH
# ----- SHELL ----- #
-for pa in "/usr/local/bin" "${HOME}/bin";do
- if ! printf "%b" "$PATH"|grep -P "^${pa}:|:${pa}:" >/dev/null;then
- export PATH="${pa}:${PATH}"
+for pa in "/usr/local/bin" "${HOME}/bin" "${HOME}/.local/bin";do
+ if [ -x "$pa" ]; then
+ if ! printf "%b" "$PATH"|grep -P "^${pa}:|:${pa}:" >/dev/null;then
+ export PATH="${pa}:${PATH}"
+ fi
fi
done
# $OSNAME